org.eclipse.ease.debugging

## Class AbstractScriptDebugger

- java.lang.Object
- - org.eclipse.ease.debugging.AbstractScriptDebugger

All Implemented Interfaces:
  IEventProcessor, IExecutionListener

Direct Known Subclasses:
  RhinoDebugger

    public abstract class AbstractScriptDebugger
    extends Object
    implements IEventProcessor, IExecutionListener

### Field Summary

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`AbstractScriptDebugger(IScriptEngine engine, boolean showDynamicCode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<IScriptDebugFrame>` `getStacktrace()` Get current stack trace.
`void` `handleEvent(IDebugEvent event)`
`void` `notify(IScriptEngine engine, Script script, int status)` Notify function called by Eclipse EASE framework.
`void` `setDispatcher(EventDispatchJob dispatcher)` Setter method for dispatcher.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractScriptDebugger

    public AbstractScriptDebugger(IScriptEngine engine,
                                  boolean showDynamicCode)

### Method Detail

#### setDispatcher

    public void setDispatcher(EventDispatchJob dispatcher)

Setter method for dispatcher.

Parameters:
  `dispatcher` - dispatcher for communication between debugger and debug target.

#### notify

    public void notify(IScriptEngine engine,
                       Script script,
                       int status)

Notify function called by Eclipse EASE framework. Raises according events depending on status

Specified by:
  `notify` in interface `IExecutionListener`
Parameters:
  `engine` - Script Engine
  `script` - Script or `null`
  `status` - Event Status

#### handleEvent

    public void handleEvent(IDebugEvent event)

Specified by:
  `handleEvent` in interface `IEventProcessor`

#### getStacktrace

    public List<IScriptDebugFrame> getStacktrace()

Get current stack trace. If the current trace is empty (script not started or terminated) we get an optional exception stack trace. This is by default empty and will only be filled when an exception is thrown.

Returns: